/**
 * Created by Berlin on 2018/5/22.
 */
import React, {Component} from 'react';
import css from './loading.scss';

export default class Loading extends Component {
  render() {
    const {text} = this.props;
    return (<div className={css.loading}>
      <div className={`${css.circle} ${css.c1}`}/>
      <div className={`${css.circle} ${css.c2}`}/>
      <div className={`${css.circle} ${css.c3}`}/>
      <div className={`${css.circle} ${css.c4}`}/>
      <div className={`${css.circle} ${css.c5}`}/>
      <div className={`${css.circle} ${css.c6}`}/>
      <div className={`${css.circle} ${css.c7}`}/>
      <div className={`${css.circle} ${css.c8}`}/>
      <div className={`${css.circle} ${css.c9}`}/>
      <div className={`${css.circle} ${css.c10}`}/>
      <div className={`${css.circle} ${css.c11}`}/>
      <div className={`${css.circle} ${css.c12}`}/>
      <p className={`${text ? css.text : css.noText}`}>{text ? text : 'Loading'}</p>
    </div>)
  }
}
