/**
 * Created by Berlin on 2018/6/27.
 */
import React from 'react';
import '../assets/css/iconfont/iconfont.css'
import CalendarEditor from './calendarEditor/calendarEditor'
import {Modal} from 'karaui'
import css from './index.scss'

export default class CalendarCreate extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      showModal: false,
    }
    this.replaceStyle = {
      top: '0',
      right: '0',
      left: 'auto',
      bottom: '0',
      width: '100%',
      height: 'auto',
      background: '#fff',
      background: 'transparent',
    }
  }
  componentDidMount() {
    setTimeout(() => {
      this.setState({showModal: true})
    }, 300)
  }

  closeCalendar = () => {
    this.props.config.closeCalendar()
    this.setState({ showModal: false })
  }
  render() {
    return <div>
      {
        this.state.showModal ?
          <Modal
            show
            replaceStyle={this.replaceStyle}
            onMask={this.closeCalendar}
            parent={document.querySelector('#app') || document.querySelector('body')}
          >
            <CalendarEditor
              {...this.props}
              closeCalendar={this.closeCalendar}
            />
          </Modal> : null
      }
    </div>
  }
}