/**
 * Created by Berlin on 2018/7/4.
 */
import { observable, action, reaction } from 'mobx';

const searchContractor = (res, result) => {
  if (res.pageInfo.pageNo > 1) {
    const newList = result.concat(res.pageInfo.result);
    return {
      searchInfo: res.pageInfo,
      searchResults: newList,
    };
  }
  return {
    searchInfo: res.pageInfo,
    searchResults: res.pageInfo.result,
  };
}

class contractor {

  @observable searchResults = [];
  @observable searchInfo = {};

  @action searchLists = res => {
    const result = searchContractor(res, this.searchResults);
    this.searchResults = result.searchResults;
    this.searchInfo = result.searchInfo;
  }

  @action searchRecent = res => {
    // 最近联系人
    this.searchInfo = {};
    this.searchResults = res.results;
  }



}

export default new contractor();